Index: soclib/module/connectivity_component/vci_block_device/caba/metadata/vci_block_device.sd
===================================================================
--- soclib/module/connectivity_component/vci_block_device/caba/metadata/vci_block_device.sd	(revision 911)
+++ soclib/module/connectivity_component/vci_block_device/caba/metadata/vci_block_device.sd	(working copy)
@@ -7,6 +7,8 @@
 	parameter.Module('vci_param',  default = 'caba:vci_param'),
 	],
 	   header_files = ['../source/include/vci_block_device.h',
+					],
+    interface_files = [
 					   '../../include/block_device.h'
 					   ],
 	   implementation_files = ['../source/src/vci_block_device.cpp',],
Index: soclib/module/connectivity_component/vci_fd_access/caba/metadata/vci_fd_access.sd
===================================================================
--- soclib/module/connectivity_component/vci_fd_access/caba/metadata/vci_fd_access.sd	(revision 911)
+++ soclib/module/connectivity_component/vci_fd_access/caba/metadata/vci_fd_access.sd	(working copy)
@@ -7,6 +7,8 @@
 	parameter.Module('vci_param',  default = 'caba:vci_param'),
 	],
 	   header_files = ['../source/include/vci_fd_access.h',
+					],
+    interface_files = [
 					   '../../include/fd_access.h'
 					   ],
 	   implementation_files = ['../source/src/vci_fd_access.cpp',],
Index: soclib/module/connectivity_component/vci_multi_tty/tlmt/metadata/vci_multi_tty.sd
===================================================================
--- soclib/module/connectivity_component/vci_multi_tty/tlmt/metadata/vci_multi_tty.sd	(revision 911)
+++ soclib/module/connectivity_component/vci_multi_tty/tlmt/metadata/vci_multi_tty.sd	(working copy)
@@ -30,6 +30,8 @@
        classname = 'soclib::tlmt::VciMultiTty',
        tmpl_parameters = [parameter.Module('vci_param',  default = 'tlmt:vci_param')],
        header_files = ['../source/include/vci_multi_tty.h',
+					],
+    interface_files = [
                        '../../include/tty.h',
                        ],
        implementation_files = ['../source/src/vci_multi_tty.cpp',],
Index: soclib/module/connectivity_component/vci_multi_tty/caba/metadata/vci_multi_tty.sd
===================================================================
--- soclib/module/connectivity_component/vci_multi_tty/caba/metadata/vci_multi_tty.sd	(revision 911)
+++ soclib/module/connectivity_component/vci_multi_tty/caba/metadata/vci_multi_tty.sd	(working copy)
@@ -7,6 +7,8 @@
 	parameter.Module('vci_param',  default = 'caba:vci_param'),
 	],
 	   header_files = ['../source/include/vci_multi_tty.h',
+					],
+    interface_files = [
 					   '../../include/tty.h'
 					   ],
 	   implementation_files = ['../source/src/vci_multi_tty.cpp',],
Index: soclib/module/infrastructure_component/dma_infrastructure/vci_dma/caba/metadata/vci_dma.sd
===================================================================
--- soclib/module/infrastructure_component/dma_infrastructure/vci_dma/caba/metadata/vci_dma.sd	(revision 911)
+++ soclib/module/infrastructure_component/dma_infrastructure/vci_dma/caba/metadata/vci_dma.sd	(working copy)
@@ -7,6 +7,8 @@
 	parameter.Module('vci_param',  default = 'caba:vci_param'),
 	],
 	header_files = ['../source/include/vci_dma.h',
+					],
+    interface_files = [
 					'../../include/dma.h',
 					],
 	implementation_files = ['../source/src/vci_dma.cpp',],
Index: soclib/module/infrastructure_component/interrupt_infrastructure/vci_icu/tlmt/metadata/vci_icu.sd
===================================================================
--- soclib/module/infrastructure_component/interrupt_infrastructure/vci_icu/tlmt/metadata/vci_icu.sd	(revision 911)
+++ soclib/module/infrastructure_component/interrupt_infrastructure/vci_icu/tlmt/metadata/vci_icu.sd	(working copy)
@@ -2,6 +2,8 @@
        classname = 'soclib::tlmt::VciIcu',
        tmpl_parameters = [ parameter.Module('vci_param',  default = 'tlmt:vci_param')],
        header_files = ['../source/include/vci_icu.h',
+					],
+    interface_files = [
                        '../../include/icu.h',],
        implementation_files = ['../source/src/vci_icu.cpp',],
        ports = [ Port('tlmt:vci_target', 'p_vci') ],
Index: soclib/module/infrastructure_component/interrupt_infrastructure/vci_icu/caba/metadata/vci_icu.sd
===================================================================
--- soclib/module/infrastructure_component/interrupt_infrastructure/vci_icu/caba/metadata/vci_icu.sd	(revision 911)
+++ soclib/module/infrastructure_component/interrupt_infrastructure/vci_icu/caba/metadata/vci_icu.sd	(working copy)
@@ -7,6 +7,8 @@
 	parameter.Module('vci_param',  default = 'caba:vci_param'),
 	],
 	header_files = ['../source/include/vci_icu.h',
+					],
+    interface_files = [
 					'../../include/icu.h',
 					],
 	implementation_files = ['../source/src/vci_icu.cpp',],
Index: soclib/module/verification_component/vci_simhelper/caba/metadata/vci_simhelper.sd
===================================================================
--- soclib/module/verification_component/vci_simhelper/caba/metadata/vci_simhelper.sd	(revision 911)
+++ soclib/module/verification_component/vci_simhelper/caba/metadata/vci_simhelper.sd	(working copy)
@@ -7,8 +7,10 @@
 	parameter.Module('vci_param',  default = 'caba:vci_param'),
 	],
 	header_files = ['../source/include/vci_simhelper.h',
+					],
+	interface_files = [
 					'../../include/simhelper.h',
-					],
+		],
 	implementation_files = ['../source/src/vci_simhelper.cpp',],
 			  ports = [
 	Port('caba:vci_target', 'p_vci'),
Index: soclib/module/internal_component/vci_timer/tlmt/metadata/vci_timer.sd
===================================================================
--- soclib/module/internal_component/vci_timer/tlmt/metadata/vci_timer.sd	(revision 911)
+++ soclib/module/internal_component/vci_timer/tlmt/metadata/vci_timer.sd	(working copy)
@@ -3,8 +3,10 @@
        classname = 'soclib::tlmt::VciTimer',
        tmpl_parameters = [ parameter.Module('vci_param',  default = 'tlmt:vci_param') ],
        header_files = ['../source/include/vci_timer.h',
+                       ],
+	   interface_files = [
                        '../../include/timer.h',
-                       ],
+					   ],
        implementation_files = ['../source/src/vci_timer.cpp',],
        ports = [ Port('tlmt:vci_target', 'p_vci') ],
        uses = [ Uses('tlmt:base_module'),
Index: soclib/module/internal_component/vci_timer/caba/metadata/vci_timer.sd
===================================================================
--- soclib/module/internal_component/vci_timer/caba/metadata/vci_timer.sd	(revision 911)
+++ soclib/module/internal_component/vci_timer/caba/metadata/vci_timer.sd	(working copy)
@@ -7,6 +7,8 @@
 	parameter.Module('vci_param',  default = 'caba:vci_param'),
 	],
 	header_files = ['../source/include/vci_timer.h',
+					],
+    interface_files = [
 					'../../include/timer.h',
 					],
 	implementation_files = ['../source/src/vci_timer.cpp',],
Index: soclib/module/internal_component/vci_mwmr_controller/tlmt/metadata/vci_mwmr_controller.sd
===================================================================
--- soclib/module/internal_component/vci_mwmr_controller/tlmt/metadata/vci_mwmr_controller.sd	(revision 911)
+++ soclib/module/internal_component/vci_mwmr_controller/tlmt/metadata/vci_mwmr_controller.sd	(working copy)
@@ -30,6 +30,8 @@
        classname = 'soclib::tlmt::VciMwmrController',
        tmpl_parameters = [parameter.Module('vci_param',  default = 'tlmt:vci_param')],
        header_files = ['../source/include/vci_mwmr_controller.h',
+					],
+    interface_files = [
                        '../../include/mwmr_controller.h',],
        implementation_files = ['../source/src/vci_mwmr_controller.cpp',],
        ports = [Port('tlmt:vci_target', 'p_target_vci'),
Index: soclib/module/internal_component/vci_mwmr_controller/caba/metadata/vci_mwmr_controller.sd
===================================================================
--- soclib/module/internal_component/vci_mwmr_controller/caba/metadata/vci_mwmr_controller.sd	(revision 911)
+++ soclib/module/internal_component/vci_mwmr_controller/caba/metadata/vci_mwmr_controller.sd	(working copy)
@@ -4,6 +4,8 @@
 Module('caba:vci_mwmr_controller',
 	classname = 'soclib::caba::VciMwmrController',
 	header_files = ['../source/include/vci_mwmr_controller.h',
+					],
+    interface_files = [
 					'../../include/mwmr_controller.h',
 					],
 	implementation_files = ['../source/src/vci_mwmr_controller.cpp',],
Index: soclib/module/internal_component/vci_mwmr_controller_lf/caba/metadata/vci_mwmr_controller_lf.sd
===================================================================
--- soclib/module/internal_component/vci_mwmr_controller_lf/caba/metadata/vci_mwmr_controller_lf.sd	(revision 911)
+++ soclib/module/internal_component/vci_mwmr_controller_lf/caba/metadata/vci_mwmr_controller_lf.sd	(working copy)
@@ -4,6 +4,8 @@
 Module('caba:vci_mwmr_controller_lf',
 	classname = 'soclib::caba::VciMwmrControllerLf',
 	header_files = ['../source/include/vci_mwmr_controller_lf.h',
+					],
+    interface_files = [
 					'../../include/mwmr_controller_lf.h',
 					],
 	implementation_files = ['../source/src/vci_mwmr_controller_lf.cpp',],
Index: soclib/module/internal_component/vci_pci/caba/metadata/vci_pci.sd
===================================================================
--- soclib/module/internal_component/vci_pci/caba/metadata/vci_pci.sd	(revision 911)
+++ soclib/module/internal_component/vci_pci/caba/metadata/vci_pci.sd	(working copy)
@@ -7,6 +7,8 @@
 	parameter.Module('vci_param',  default = 'caba:vci_param'),
 	],
 	header_files = ['../source/include/vci_pci.h',
+					],
+    interface_files = [
 					'../source/include/pci.h',
 					],
 	implementation_files = ['../source/src/vci_pci.cpp',],
Index: soclib/lib/iss_memchecker/metadata/iss_memchecker.sd
===================================================================
--- soclib/lib/iss_memchecker/metadata/iss_memchecker.sd	(revision 911)
+++ soclib/lib/iss_memchecker/metadata/iss_memchecker.sd	(working copy)
@@ -8,6 +8,9 @@
 	implementation_files = [
 		"../src/iss_memchecker.cpp",
 		],
+	interface_files = [
+		"../include/iss_memchecker_registers.h",
+		],
 	   tmpl_parameters = [
 	parameter.Module('iss_memchecker_t'),
 	],
